/*
 *  linux/include/asm-m68k/teknvram.h
 *
 *  Copyright (C) 2002,2003 Michael Mueller <malware@t-online.de>
 *
 * This file is subject to the terms and conditions of the GNU General Public
 * License. See the file COPYING in the main directory of this archive for
 * more details.
 */

#ifndef _ASM_TEKNVRAM_H_
#define _ASM_TEKNVRAM_H_

#define EEPROM_BASE	0xFFF00000UL
#define EEPROM_SIZE	0x800

extern void init_nvram(unsigned long* memstart);

extern u_char	nvram_readb(int);
extern u_short	nvram_readw(int);
extern u_long	nvram_readl(int);


/*
 * Some known data locations within the NVRAM
 */
#define NVRAM_SONIC_MAC		4	/* 6 bytes MAC address for sonic */
#define NVRAM_DISPLAY		0x1c	/* Display type */

#endif	/* !defined(_ASM_TEKNVRAM_H_) */

